## UDisksLinuxDrive

UDisksLinuxDrive — Linux implementation of UDisksDrive

## Functions

UDisksDrive * | udisks_linux_drive_new ()
gboolean | udisks_linux_drive_update ()

## Types and Values

| UDisksLinuxDrive

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksDriveSkeleton
                ╰── UDisksLinuxDrive

## Implemented Interfaces

UDisksLinuxDrive implements GDBusInterface and UDisksDrive.

## Description

This type provides an implementation of the UDisksDrive interface on Linux.

## Functions

### udisks_linux_drive_new ()

    UDisksDrive *
    udisks_linux_drive_new (void);

Creates a new UDisksLinuxDrive instance.

#### Returns

A new UDisksLinuxDrive. Free with `g_object_unref()`.

### udisks_linux_drive_update ()

    gboolean
    udisks_linux_drive_update (UDisksLinuxDrive *drive,
                               UDisksLinuxDriveObject *object);

Updates the interface.

#### Parameters

drive | A UDisksLinuxDrive. |
object | The enclosing UDisksLinuxDriveObject instance. |

#### Returns

`TRUE` if configuration has changed, `FALSE` otherwise.

## Types and Values

### UDisksLinuxDrive

    typedef struct _UDisksLinuxDrive UDisksLinuxDrive;

The UDisksLinuxDrive structure contains only private data and should only be accessed using the provided API.